/*
 //  matrices.h
 //  
 //
 //  Created by Valentin Emiya on 11/03/13.
 //  Copyright (c) 2013 CNRS LIF, Aix-Marseille Univ. All rights reserved.
 */

#ifndef _matrices_h
#define _matrices_h

double** create_matrix(int I, int J);
void free_matrix(double **m, int I);
void fill_matrix(double **m, int I, int J);
void print_matrix(double **m, int I, int J);
double ** create_identity(int I);
double compute_trace(double **m, int I);
double ** compute_product(double **m1, double **m2, int I, int J, int K);
double ** compute_power(double **m, int I, int n);
int is_diagonal(double **m, int I);
double ** create_diagonal(double **m, int I);
int is_symetric(double **m, int I);

#endif
