/*
//  vectors.h
//  
//
//  Created by Valentin Emiya on 11/03/13.
//  Copyright (c) 2013 CNRS LIF, Aix-Marseille Univ. All rights reserved.
*/

#ifndef _vectors_h
#define _vectors_h

double* create_vector(int N);
void free_vector(double *v);
void fill_vector(double *v, int N);
void print_vector(double *v, int N);
double dot_product(double *u, double *v, int N);
int is_orthogonal(double *u, double *v, int N);
double norm2(double *u, int N);
double norm1(double *u, int N);
double norm_infty(double *u, int N);


#endif
