/*
//  polynomials_test.c
//  
//
//  Created by Valentin Emiya on 11/03/13.
//  Copyright (c) 2013 CNRS LIF, Aix-Marseille Univ. All rights reserved.
*/

#include <stdio.h>
#include "polynomials.h"

int main(){
    /* Programme de test */
    Polynomial *p;
    Polynomial *q;
    
    p = create_polynomial(3);
    set_coefficient(p,0,-1.5);
    set_coefficient(p,3,2.3);
    q = diff_n_polynomial(p,2);
    printf("p''(0)=%g\n", eval_polynomial(q,0));
    free_polynomial(p);
    free_polynomial(q);

    return 0;
}